 %define name mono-tools
%define version 1.1.9
%define release 4mdk
%define monodir %_prefix/lib/mono
%define monodocdir %_prefix/lib/monodoc
%define monodocver 1.1.9

Summary: Mono tools, including the documentation browser
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://go-mono.com/sources/mono-tools/%{name}-%{version}.tar.bz2
License: GPL/LGPL
Group: Development/Other
Url: http://www.go-mono.com
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: mono-devel
BuildRequires: monodoc >= %monodocver
BuildRequires: gnome-sharp-devel
BuildRequires: glade-sharp-devel
BuildRequires: gecko-sharp
BuildRequires:	ImageMagick
Requires(post): monodoc >= %monodocver
Requires: monodoc >= %monodocver

%description
Mono Tools is a collection of development and testing programs and
utilities for use with Mono.

%prep
%setup -q

%build
./configure --prefix=%_prefix --libdir=%_prefix/lib
%make

%install
rm -rf $RPM_BUILD_ROOT %name.lang
%makeinstall_std
%find_lang %name
#menu
install -d -m 755 $RPM_BUILD_ROOT%{_menudir}
cat >$RPM_BUILD_ROOT%{_menudir}/%{name} <<EOF
?package(%{name}): \
	command="%{_bindir}/monodoc" \
	needs="X11" \
	section="Documentation" \
	icon="monodoc.png" \
	title="Monodoc" \
	longtitle="Monodoc Documentation Browser" \
	startup_notify="false"
EOF
mkdir -p %buildroot{%_liconsdir,%_miconsdir,%_iconsdir}
ln -s %_datadir/pixmaps/monodoc.png %buildroot/%_liconsdir/monodoc.png
convert -scale 32x32 %buildroot%_datadir/pixmaps/monodoc.png %buildroot%{_iconsdir}/monodoc.png
convert -scale 16x16 %buildroot%_datadir/pixmaps/monodoc.png %buildroot%{_miconsdir}/monodoc.png

touch %buildroot%monodocdir/monodoc.index

%post
%update_menus
touch %monodocdir/monodoc.index
%_bindir/monodoc --make-index > /dev/null

%postun
%clean_menus

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %name.lang
%defattr(-,root,root)
%doc AUTHORS README ChangeLog
%_bindir/monodoc
%_bindir/gasnview
%_bindir/gnunit
%_bindir/gnunit2
%monodir/1.0/*
%monodir/2.0/*
%monodocdir/browser.exe
%monodocdir/GeckoHtmlRender.dll
%_datadir/pixmaps/monodoc.png
%_datadir/applications/monodoc.desktop
%_menudir/%name
%_liconsdir/monodoc.png
%_iconsdir/monodoc.png
%_miconsdir/monodoc.png
%ghost %monodocdir/monodoc.index

%changelog
* Mon Apr 10 2006 Goetz Waschk <goetz@deborah.mandriva.com> 1.1.9-4mdk
- remove noarch as workaround for the difference between i586 and x86_64 repos

* Thu Sep 15 2005 Gtz Waschk <waschk@mandriva.org> 1.1.9-3mdk
- add post requirement on monodoc as well

* Sun Sep 11 2005 Gtz Waschk <waschk@mandriva.org> 1.1.9-2mdk
- fix deps

* Sat Sep 10 2005 Gtz Waschk <waschk@mandriva.org> 1.1.9-1mdk
- fix buildrequires
- update file list
- New release 1.1.9

* Mon Jun 20 2005 Götz Waschk <waschk@mandriva.org> 1.0-3mdk
- create monodoc index in the post script

* Sun Jun 19 2005 Götz Waschk <waschk@mandriva.org> 1.0-2mdk
- fix buildrequires

* Fri Jun 17 2005 Götz Waschk <waschk@mandriva.org> 1.0-1mdk
- initial package
